function S = stimImageStack(filemask)
    files = dir(filemask);

    %figure out the file size
    I = imread([files(1).folder '/' files(1).name]);
    X = size(I, 1);
    Y = size(I, 2);
    Z = length(files);

    S = zeros(X, Y, Z, 'uint8');

    h = waitbar(0, ['Loading ' num2str(Z) ' images...']);
    for i = 1:Z    
        I = rgb2gray(imread([files(1).folder '/' files(1).name]));
        S(:, :, i) = I;
        waitbar(i/Z, h);
    end
    close(h);
end
    

